Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOption.OptionType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOption.OptionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOption

    public static final class QStyleOption.OptionType

extends java.lang.Enum
implements QtEnumerator

This enum is used internally by `QStyleOption`, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own `QStyleOption` subclass and your own styles. The following values are used for custom controls: Some style options are defined for various Qt3Support controls:

See also:
  type.

See Also:
  Serialized Form

Field Summary
`static QStyleOption.OptionType` | `CustomEnum`
`static QStyleOption.OptionType` | `SO_Button` `QStyleOptionButton`
`static QStyleOption.OptionType` | `SO_ComboBox` `QStyleOptionComboBox`
`static QStyleOption.OptionType` | `SO_Complex` `QStyleOptionComplex`
`static QStyleOption.OptionType` | `SO_ComplexCustomBase` Reserved for custom QStyleOptions; all custom complex controls values must be above this value
`static QStyleOption.OptionType` | `SO_CustomBase` Reserved for custom QStyleOptions; all custom controls values must be above this value
`static QStyleOption.OptionType` | `SO_Default` `QStyleOption`
`static QStyleOption.OptionType` | `SO_DockWidget` `QStyleOptionDockWidget`
`static QStyleOption.OptionType` | `SO_FocusRect` `QStyleOptionFocusRect`
`static QStyleOption.OptionType` | `SO_Frame` `QStyleOptionFrame` `QStyleOptionFrameV2`
`static QStyleOption.OptionType` | `SO_GraphicsItem` `QStyleOptionGraphicsItem`
`static QStyleOption.OptionType` | `SO_GroupBox` `QStyleOptionGroupBox`
`static QStyleOption.OptionType` | `SO_Header` `QStyleOptionHeader`
`static QStyleOption.OptionType` | `SO_MenuItem` `QStyleOptionMenuItem`
`static QStyleOption.OptionType` | `SO_ProgressBar` `QStyleOptionProgressBar` `QStyleOptionProgressBarV2`
`static QStyleOption.OptionType` | `SO_Q3DockWindow` QStyleOptionQ3DockWindow
`static QStyleOption.OptionType` | `SO_Q3ListView`
`static QStyleOption.OptionType` | `SO_Q3ListViewItem` QStyleOptionQ3ListView
`static QStyleOption.OptionType` | `SO_RubberBand` `QStyleOptionRubberBand`
`static QStyleOption.OptionType` | `SO_SizeGrip` `QStyleOptionSizeGrip`
`static QStyleOption.OptionType` | `SO_Slider` `QStyleOptionSlider`
`static QStyleOption.OptionType` | `SO_SpinBox` `QStyleOptionSpinBox`
`static QStyleOption.OptionType` | `SO_Tab` `QStyleOptionTab`
`static QStyleOption.OptionType` | `SO_TabBarBase` `QStyleOptionTabBarBase`
`static QStyleOption.OptionType` | `SO_TabWidgetFrame` `QStyleOptionTabWidgetFrame`
`static QStyleOption.OptionType` | `SO_TitleBar` `QStyleOptionTitleBar`
`static QStyleOption.OptionType` | `SO_ToolBar` `QStyleOptionToolBar`
`static QStyleOption.OptionType` | `SO_ToolBox` `QStyleOptionToolBox`
`static QStyleOption.OptionType` | `SO_ToolButton` `QStyleOptionToolButton`
`static QStyleOption.OptionType` | `SO_ViewItem` `QStyleOptionViewItem` (used in Interviews)

Method Summary
`static QStyleOption.OptionType` | `resolve(int value)` Returns the QStyleOption$OptionType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOption.OptionType` | `valueOf(java.lang.String name)`
`static QStyleOption.OptionType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SO_Default

    public static final QStyleOption.OptionType SO_Default

  `QStyleOption`

### SO_FocusRect

    public static final QStyleOption.OptionType SO_FocusRect

  `QStyleOptionFocusRect`

### SO_Button

    public static final QStyleOption.OptionType SO_Button

  `QStyleOptionButton`

### SO_Tab

    public static final QStyleOption.OptionType SO_Tab

  `QStyleOptionTab`

### SO_MenuItem

    public static final QStyleOption.OptionType SO_MenuItem

  `QStyleOptionMenuItem`

### SO_Frame

    public static final QStyleOption.OptionType SO_Frame

  `QStyleOptionFrame` `QStyleOptionFrameV2`

### SO_ProgressBar

    public static final QStyleOption.OptionType SO_ProgressBar

  `QStyleOptionProgressBar` `QStyleOptionProgressBarV2`

### SO_ToolBox

    public static final QStyleOption.OptionType SO_ToolBox

  `QStyleOptionToolBox`

### SO_Header

    public static final QStyleOption.OptionType SO_Header

  `QStyleOptionHeader`

### SO_Q3DockWindow

    public static final QStyleOption.OptionType SO_Q3DockWindow

  QStyleOptionQ3DockWindow

### SO_DockWidget

    public static final QStyleOption.OptionType SO_DockWidget

  `QStyleOptionDockWidget`

### SO_Q3ListViewItem

    public static final QStyleOption.OptionType SO_Q3ListViewItem

  QStyleOptionQ3ListView

### SO_ViewItem

    public static final QStyleOption.OptionType SO_ViewItem

  `QStyleOptionViewItem` (used in Interviews)

### SO_TabWidgetFrame

    public static final QStyleOption.OptionType SO_TabWidgetFrame

  `QStyleOptionTabWidgetFrame`

### SO_TabBarBase

    public static final QStyleOption.OptionType SO_TabBarBase

  `QStyleOptionTabBarBase`

### SO_RubberBand

    public static final QStyleOption.OptionType SO_RubberBand

  `QStyleOptionRubberBand`

### SO_ToolBar

    public static final QStyleOption.OptionType SO_ToolBar

  `QStyleOptionToolBar`

### SO_GraphicsItem

    public static final QStyleOption.OptionType SO_GraphicsItem

  `QStyleOptionGraphicsItem`

### SO_Complex

    public static final QStyleOption.OptionType SO_Complex

  `QStyleOptionComplex`

### SO_Slider

    public static final QStyleOption.OptionType SO_Slider

  `QStyleOptionSlider`

### SO_SpinBox

    public static final QStyleOption.OptionType SO_SpinBox

  `QStyleOptionSpinBox`

### SO_ToolButton

    public static final QStyleOption.OptionType SO_ToolButton

  `QStyleOptionToolButton`

### SO_ComboBox

    public static final QStyleOption.OptionType SO_ComboBox

  `QStyleOptionComboBox`

### SO_Q3ListView

    public static final QStyleOption.OptionType SO_Q3ListView

### SO_TitleBar

    public static final QStyleOption.OptionType SO_TitleBar

  `QStyleOptionTitleBar`

### SO_GroupBox

    public static final QStyleOption.OptionType SO_GroupBox

  `QStyleOptionGroupBox`

### SO_SizeGrip

    public static final QStyleOption.OptionType SO_SizeGrip

  `QStyleOptionSizeGrip`

### SO_CustomBase

    public static final QStyleOption.OptionType SO_CustomBase

  Reserved for custom QStyleOptions; all custom controls values must be above this value

### SO_ComplexCustomBase

    public static final QStyleOption.OptionType SO_ComplexCustomBase

  Reserved for custom QStyleOptions; all custom complex controls values must be above this value

### CustomEnum

    public static final QStyleOption.OptionType CustomEnum

Method Detail

### values

    public static QStyleOption.OptionType[] values()

### valueOf

    public static QStyleOption.OptionType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOption.OptionType resolve(int value)

  Returns the QStyleOption$OptionType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD